package io.renren.modules.sys.dao.algs;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.sys.entity.algs.AlgorithmModel;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AlgorithmModelMapper extends BaseMapper<AlgorithmModel> {
    int deleteByPrimaryKey(Long modelId);

    int insert(AlgorithmModel record);

    int insertSelective(AlgorithmModel record);

    AlgorithmModel selectByPrimaryKey(Long modelId);

    int updateByPrimaryKeySelective(AlgorithmModel record);

    int updateByPrimaryKey(AlgorithmModel record);

    AlgorithmModel selectByModelName(String modelName);

}